package modelo;


import java.util.ArrayList;
import java.util.List;

// <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
// #[regen=yes,id=DCE.5B2651F5-CAF7-38EC-8900-A4EFBA28318C]
// </editor-fold> 
public class DocumentoReq {

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,id=DCE.1BD3BC88-421F-16BF-8EBE-82658567665D]
    // </editor-fold> 
    private ArrayList<CasodeUso> mCasodeUso=new ArrayList();

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,id=DCE.AB9560E4-C61E-6433-9DD0-648753F40EB6]
    // </editor-fold> 
    private ArrayList<Actor> mActor=new ArrayList();

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,id=DCE.161F1B26-DEE2-93F1-C69C-55D57DA12FD4]
    // </editor-fold> 
    private ArrayList<RequisitoRestriccion> mRequisitoRestriccion=new ArrayList();

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,id=DCE.D8C25E3C-DA0F-09F1-F931-2256D79B5F55]
    // </editor-fold> 
    private ArrayList<RequisitoInformacion> mRequisitoInformacion=new ArrayList();

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,id=DCE.5C099232-5A02-AF38-BE80-2968B6ECEF65]
    // </editor-fold> 
    private ArrayList<RequisitoFuncional> mRequisitoFuncional=new ArrayList();

    private ArrayList<Objetivo> mObjetivo=new ArrayList();

    // <editor-fold defaultstate="collapsed" desc=" UML Marker ">
    // #[regen=yes,id=DCE.8D1C5A0B-D7EC-BDE4-F24E-DB60721510DB]
    // </editor-fold>
    private ArrayList<Reunion> mReunion=new ArrayList();

    // <editor-fold defaultstate="collapsed" desc=" UML Marker ">
    // #[regen=yes,id=DCE.0C2E67CA-D646-5502-B05A-D7C2669C5110]
    // </editor-fold>
    private ArrayList<Organizacion> mOrganizacion=new ArrayList();

    // <editor-fold defaultstate="collapsed" desc=" UML Marker ">
    // #[regen=yes,id=DCE.179B8D0C-62D9-B480-D7E5-A3654CF90276]
    // </editor-fold>
    private ArrayList<Participante> mParticipante=new ArrayList();
    
    private ArrayList<Seccion> mSeccion=new ArrayList();;

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,id=DCE.B61D416A-1E7B-99C2-1B6C-872875D7CDD1]
    // </editor-fold> 
    private ArrayList<Parrafo> mParrafo=new ArrayList();

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,id=DCE.68F536B8-5D2A-58B0-FEB7-567E2136E554]
    // </editor-fold> 
    private ArrayList<FicheroGrafico> mFicherGrafico=new ArrayList();

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,id=DCE.1C571D8F-8BF7-B2BB-4A68-8EB3D8D0A837]
    // </editor-fold> 
    private ArrayList<MatrizRastreabilidad> mMatrizRastreabilidad=new ArrayList();

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,id=DCE.2FC51818-8E22-F812-44B4-AE88DACDB638]
    // </editor-fold> 
    public DocumentoReq () {
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,regenBody=yes,id=DCE.8AF896CC-DA5F-8C30-9644-7420ADF08DBC]
    // </editor-fold> 
    public ArrayList<CasodeUso> getCasodeUso () {
        return mCasodeUso;
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,regenBody=yes,id=DCE.C9AAFDA8-02BD-07A2-433A-78F97771F2F8]
    // </editor-fold> 
    public void setCasodeUso (ArrayList<CasodeUso> val) {
        this.mCasodeUso = val;
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,id=DCE.947E108C-C7E1-F237-AD21-626D115EBE6A]
    // </editor-fold> 
     public CasodeUso nuevo(String nombreCU, boolean esAbstracto,String eventoActivacion, int frecuencia, String unidadFrecuencia, String precondicion, String postcondicion, String importancia, String urgencia, String estadoDesarrollo, String estabilidad, String comentarios) {

        //// Creo la instancia
        CasodeUso auxCU=new CasodeUso();
        //// Asigno los valores a los atributos
        auxCU.setNombre(nombreCU);
        auxCU.setEsAbstracto(esAbstracto);
        auxCU.setEventoActivacion(eventoActivacion);
        auxCU.setFrecuencia(frecuencia);
        auxCU.setUnidadFrecuencia(unidadFrecuencia);
        auxCU.setPrecondicion(precondicion);
        auxCU.setPostcondicion(postcondicion);
        auxCU.setImportancia(importancia);
        auxCU.setUrgencia(urgencia);
        auxCU.setEstadoDesarrollo(estadoDesarrollo);
        auxCU.setEstabilidad(estabilidad);
        auxCU.setComentarios(comentarios);
        //// Enlazo el CasodeUso a la lista de CU que tiene el documento
        this.getCasodeUso().add(auxCU);
        return auxCU;
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,regenBody=yes,id=DCE.45429001-37BC-E1C3-B176-3F8712660AE9]
    // </editor-fold> 
    public ArrayList<Actor> getActor () {
        return mActor;
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,regenBody=yes,id=DCE.44A4BC7A-2F97-5846-8CBC-D894FED14C76]
    // </editor-fold> 
    public void setActor (ArrayList<Actor> val) {
        this.mActor = val;
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,id=DCE.8F99988B-E375-3661-1907-9BD678A176A3]
    // </editor-fold> 
    public Actor nuevoAct (String nombre, String accion, String comentario){
        Actor auxAct=new Actor();
        auxAct.setNombre(nombre);
        auxAct.setAccion(accion);
        auxAct.setComentario(comentario);
        this.getActor().add(auxAct);
        return auxAct;
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,regenBody=yes,id=DCE.E348F46E-A618-61BD-2BEF-560BC4452AE3]
    // </editor-fold> 
    public ArrayList<RequisitoRestriccion> getRequisitoRestriccion () {
        return mRequisitoRestriccion;
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,regenBody=yes,id=DCE.F5FBB508-F834-BAAF-8273-6E4BF0EF9B48]
    // </editor-fold> 
    public void setRequisitoRestriccion (ArrayList<RequisitoRestriccion> val) {
        this.mRequisitoRestriccion = val;
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,id=DCE.BD5411B0-4DC4-367F-3D2F-5A05DEB15030]
    // </editor-fold> 
    public RequisitoRestriccion nuevoRR (String nombre, String descripcion, String importancia, String urgencia, String estadoDesarrollo, String estabilidad, String comentario) {
        RequisitoRestriccion auxRR=new RequisitoRestriccion();
        auxRR.setNombre(nombre);
        auxRR.setDescripcion(descripcion);
        auxRR.setImportancia(importancia);
        auxRR.setUrgencia(urgencia);
        auxRR.setEstadoDesarrollo(estadoDesarrollo);
        auxRR.setEstabilidad(estabilidad);
        auxRR.setComentario(comentario);
        this.getRequisitoRestriccion().add(auxRR);
        return auxRR;
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,regenBody=yes,id=DCE.AD2AB8D1-9792-BA7F-5933-91F73D9A590C]
    // </editor-fold> 
    public ArrayList<RequisitoInformacion> getRequisitoInformacion () {
        return mRequisitoInformacion;
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,regenBody=yes,id=DCE.58D4D714-F643-2998-17CF-E7BB6FFF5179]
    // </editor-fold> 
    public void setRequisitoInformacion (ArrayList<RequisitoInformacion> val) {
        this.mRequisitoInformacion = val;
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,id=DCE.5E685C24-35A7-5413-59E3-1C3FA68F8ECA]
    // </editor-fold> 
    public RequisitoInformacion nuevoRI (String nombre, String concepto, int timeMax, int timeMedio, int ocurrenciasMax, int ocurrenciasSimultanea, String unidadTimeMax, String unidadTimeMedio, String importancia, String urgencia, String estadoDesarrollo, String estabilidad, String comentario) {
        RequisitoInformacion auxRI=new RequisitoInformacion();
        auxRI.setNombre(nombre);
        auxRI.setConcepto(concepto);
        auxRI.setTimeMax(timeMax);
        auxRI.setTimeMedio(timeMedio);
        auxRI.setOcurrenciasMax(ocurrenciasMax);
        auxRI.setOcurrenciasSimultanea(ocurrenciasSimultanea);
        auxRI.setUnidadTimeMax(unidadTimeMax);
        auxRI.setUnidadTimeMedio(unidadTimeMedio);
        auxRI.setImportancia(importancia);
        auxRI.setUrgencia(urgencia);
        auxRI.setEstadoDesarrollo(estadoDesarrollo);
        auxRI.setEstabilidad(estabilidad);
        auxRI.setComentario(comentario);
        this.getRequisitoInformacion().add(auxRI);
        return auxRI;
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,regenBody=yes,id=DCE.DC264E0F-77A4-1E35-661A-E672EE1E9213]
    // </editor-fold> 
    public ArrayList<RequisitoFuncional> getRequisitoFuncional () {
        return mRequisitoFuncional;
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,regenBody=yes,id=DCE.4821BB12-63ED-24E2-9D2B-D09829EA8897]
    // </editor-fold> 
    public void setRequisitoFuncional (ArrayList<RequisitoFuncional> val) {
        this.mRequisitoFuncional = val;
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,id=DCE.66F2B336-E274-34D6-ED29-7B813762A9A5]
    // </editor-fold> 
    public RequisitoFuncional nuevoRF (String nombre, String accion, String importancia, String urgencia, String estadoDesarrollo, String estabilidad, String comentario, boolean noFuncional) {
        RequisitoFuncional auxRF=new RequisitoFuncional();
        auxRF.setNombre(nombre);
        auxRF.setAccion(accion);
        auxRF.setImportancia(importancia);
        auxRF.setUrgencia(urgencia);
        auxRF.setEstadoDesarrollo(estadoDesarrollo);
        auxRF.setEstabilidad(estabilidad);
        auxRF.setComentario(comentario);
        auxRF.setNoFuncional(noFuncional);
        this.getRequisitoFuncional().add(auxRF);
        return auxRF;
    }
    public ArrayList<Objetivo> getObjetivo () {
        return mObjetivo;
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker ">
    // #[regen=yes,regenBody=yes,id=DCE.C94480E9-C4A1-A7A0-6991-E2B572886098]
    // </editor-fold>
    public void setObjetivo (ArrayList<Objetivo> val) {
        this.mObjetivo = val;
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker ">
    // #[regen=yes,regenBody=yes,id=DCE.32D0CD25-A6B7-D668-8785-A975B3B465F4]
    // </editor-fold>
    public ArrayList<Organizacion> getOrganizacion () {
        return mOrganizacion;
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker ">
    // #[regen=yes,regenBody=yes,id=DCE.6B6EEDE5-1F1F-C7AA-A9AA-D4ADC6D49CFC]
    // </editor-fold>
    public ArrayList<Reunion> getReunion () {
        return mReunion;
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker ">
    // #[regen=yes,regenBody=yes,id=DCE.03A3A2FB-6702-824A-7F23-2BBDDF0D1197]
    // </editor-fold>
    public void setReunion (ArrayList<Reunion> val) {
        this.mReunion = val;
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker ">
    // #[regen=yes,id=DCE.3E8D811B-42F2-FEB4-FEEC-D5B6B85B7721]
    // </editor-fold>
    public Organizacion nuevoOrganizacion (String nombre, String direccion, String telefono, String fax, String comentarios) {
        Organizacion aux=new Organizacion();
        aux.setNombre(nombre);
        aux.setDireccion(direccion);
        aux.setTelefono(telefono);
        aux.setFax(fax);
        aux.setComentario(comentarios);
        this.getOrganizacion().add(aux);
        return aux;
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker ">
    // #[regen=yes,id=DCE.648D456A-06C4-3245-DCF0-E942B03E19D6]
    // </editor-fold>
    public Reunion nuevaReunion (String nombre, String lugar, String fecha, String hora, String resultado, String comentario) {
        Reunion aux=new Reunion();
        aux.setNombre(nombre);
        aux.setLugar(lugar);
        aux.setFecha(fecha);
        aux.setHora(hora);
        aux.setResultado(resultado);
        aux.setComentario(comentario);
        this.getReunion().add(aux);
        return aux;
        
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker ">
    // #[regen=yes,id=DCE.585F7DFA-8F86-15FB-1817-BAA029D3B35D]
    // </editor-fold>
    public Objetivo nuevaOjetivo (String nombre, String descripcion, String importancia, String urgencia, String estadoDesarrollo, String estabilidad, String comentario){
    
        Objetivo aux=new Objetivo();
        aux.setNombre(nombre);
        aux.setDescripcion(descripcion);
        aux.setImportancia(importancia);
        aux.setUrgencia(urgencia);
        aux.setEstadoDesarrollo(estadoDesarrollo);
        aux.setEstabilidad(estabilidad);
        aux.setComentario(comentario);
        this.getObjetivo().add(aux);
        return aux;
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker ">
    // #[regen=yes,id=DCE.96CD7971-52B9-BF22-ADE7-4EA4FDF44EC9]
    // </editor-fold>
    public Participante nuevoParticipante (String nombre, String rol, boolean escliente, boolean esdesarrollador, boolean esusuario, String comentario){
        Participante aux=new Participante();
        aux.setNombre(nombre);
        aux.setRol(rol);
        aux.setEsCliente(escliente);
        aux.setEsDesarrollador(esdesarrollador);
        aux.setEsUsuario(esusuario);
        aux.setComentario(comentario);
        this.getParticipante().add(aux);
        return aux;
    }

    /**
     * @return the mParticipante
     */
    public ArrayList<Participante> getParticipante() {
        return mParticipante;
    }

    /**
     * @param mParticipante the mParticipante to set
     */
    public void setParticipante(ArrayList<Participante> mParticipante) {
        this.mParticipante = mParticipante;
    }
    
    public ArrayList<Seccion> getSeccion () {
        return mSeccion;
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,regenBody=yes,id=DCE.162351CD-AE1D-9855-8851-1401FFD0CF0A]
    // </editor-fold> 
    public void setSeccion (ArrayList<Seccion> val) {
        this.mSeccion = val;
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,id=DCE.EDF59EAC-DBBD-D626-B7C6-7B826E7185EC]
    // </editor-fold> 
    public Seccion nuevaSeccion (String nombre, boolean seccionNormal, boolean apendice, String comentarios) {
        Seccion aux=new Seccion();
        aux.setNombre(nombre);
        aux.setSeccionNormal(seccionNormal);
        aux.setApendice(apendice);
        aux.setComentario(comentarios);
        this.getSeccion().add(aux);
        return aux;
        
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,regenBody=yes,id=DCE.396FA1CF-BF92-C7E0-085F-7BC6E4B91A0E]
    // </editor-fold> 
    public ArrayList<Parrafo> getParrafo () {
        return mParrafo;
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,regenBody=yes,id=DCE.B3C337B3-F114-ADA8-B3C6-468724BD8BFE]
    // </editor-fold> 
    public void setParrafo (ArrayList<Parrafo> val) {
        this.mParrafo = val;
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,id=DCE.A7B69214-FFB8-87DB-0B29-6C7F199E4FA5]
    // </editor-fold> 
    public Parrafo nuevoParrafo (String nombre, String detalle, boolean glosario, String comentario) {
        Parrafo aux=new Parrafo();
        aux.setNombre(nombre);
        aux.setComentario(comentario);
        aux.setDetalle(detalle);
        aux.setGlosario(glosario);
        this.getParrafo().add(aux);
        return aux;
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,regenBody=yes,id=DCE.FB0832D5-334C-669E-925F-A86DD4F44547]
    // </editor-fold> 
    public ArrayList<FicheroGrafico> getFicheroGrafico () {
        return mFicherGrafico;
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,regenBody=yes,id=DCE.19E3042C-5FCF-5E7F-56FD-424609C1C6CE]
    // </editor-fold> 
    public void setFicheroGrafico (ArrayList<FicheroGrafico> val) {
        this.mFicherGrafico = val;
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,regenBody=yes,id=DCE.3971DFDC-7C88-EEA0-6965-7A99A6164A47]
    // </editor-fold> 
    public ArrayList<MatrizRastreabilidad> getMatrizRastreabilidad () {
        return mMatrizRastreabilidad;
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,regenBody=yes,id=DCE.7494080B-8E98-6AAE-DC79-7CAC74085260]
    // </editor-fold> 
    public void setMatrizRastreabilidad (ArrayList<MatrizRastreabilidad> val) {
        this.mMatrizRastreabilidad = val;
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,id=DCE.188D3E9B-EE87-034F-EA48-E1A0B61220FC]
    // </editor-fold> 
    public FicheroGrafico nuevoFicheroGrafico (String nombre, String fichero, String comentario) {
        FicheroGrafico aux=new FicheroGrafico();
        aux.setNombre(nombre);
        aux.setFichero(fichero);
        aux.setComentario(comentario);
        this.getFicheroGrafico().add(aux);
        return aux;
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,id=DCE.B9272AC5-DB78-C6B5-E331-777BC308645E]
    // </editor-fold> 
    public MatrizRastreabilidad nuevaMatrizRastreabilidad (String nombre, String comentario, String fila, String columna) {
        MatrizRastreabilidad aux=new MatrizRastreabilidad();
        aux.setNombre(nombre);
        aux.setComentario(comentario);
        aux.setFila(fila);
        aux.setColumna(columna);
        this.getMatrizRastreabilidad().add(aux);
        return aux;
    }

}

